Package com.ngrok.definitions

# Class EndpointRequestHeaders

java.lang.Object
com.ngrok.definitions.EndpointRequestHeaders

public class EndpointRequestHeaders extends Object
A class encapsulating the `EndpointRequestHeaders` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EndpointRequestHeaders.Builder`
  Builder class for `EndpointRequestHeaders`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Map<String,String>`
  `getAdd()`
  a map of header key to header value that will be injected into the HTTP Request before being sent to the upstream application server
  `Optional<Boolean>`
  `getEnabled()`
  `true` if the module will be applied to traffic, `false` to disable.
  `List<String>`
  `getRemove()`
  a list of header names that will be removed from the HTTP Request before being sent to the upstream application server
  `int`
  `hashCode()`
  `static EndpointRequestHeaders.Builder`
  `newBuilder()`
  Creates a new builder for the `EndpointRequestHeaders` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EndpointRequestHeaders.Builder newBuilder()
    Creates a new builder for the `EndpointRequestHeaders` type.
    Returns:
      a new `EndpointRequestHeaders.Builder`

  - ### getEnabled

    public Optional<Boolean> getEnabled()
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Returns:
      the value of the property as a `boolean` wrapped in an `Optional`

  - ### getAdd

    public Map<String,String> getAdd()
    a map of header key to header value that will be injected into the HTTP Request before being sent to the upstream application server
    Returns:
      the value of the property as a `Map` of `String` to `String`

  - ### getRemove

    public List<String> getRemove()
    a list of header names that will be removed from the HTTP Request before being sent to the upstream application server
    Returns:
      the value of the property as a `List` of `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`